Index: trunk/FACT++/src/EventBuilder.c
===================================================================
--- trunk/FACT++/src/EventBuilder.c	(revision 11763)
+++ trunk/FACT++/src/EventBuilder.c	(revision 11766)
@@ -1834,77 +2120,79 @@
 
 
-void StartEvtBuild() {
-
-  int i,j,imax,status,th_ret[50] ;
-  pthread_t thread[50] ;
-  struct timespec xwait ;
-
-  gi_runStat = gp_runStat = gw_runStat = 0 ;
-  gj.readStat= gj.procStat= gj.writStat= 0 ;
-
-  snprintf(str,MXSTR,"Starting EventBuilder V15.07 A");
-  factOut(kInfo,-1, str ) ;
+void
+StartEvtBuild ()
+{
+
+   int i, j, imax, status, th_ret[50];
+   pthread_t thread[50];
+   struct timespec xwait;
+
+   gi_runStat = gp_runStat = gw_runStat = 0;
+   gj.readStat = gj.procStat = gj.writStat = 0;
+
+   snprintf (str, MXSTR, "Starting EventBuilder V15.07 A");
+   factOut (kInfo, -1, str);
 
 //initialize run control logics 
-  for (i=0; i<MAX_RUN; i++) {
-     runCtrl[i].runId = 0 ;
-     runCtrl[i].fileId = -2 ;
-  }
+   for (i = 0; i < MAX_RUN; i++) {
+      runCtrl[i].runId = 0;
+      runCtrl[i].fileId = -2;
+   }
 
 //prepare for subProcesses
-  gi_maxSize = g_maxSize ;
-  if (gi_maxSize <=0 ) gi_maxSize = 1 ;
-
-  gi_maxProc = g_maxProc ;
-  if (gi_maxProc <=0  || gi_maxProc>90) {
-     snprintf(str,MXSTR,"illegal number of processes %d",gi_maxProc ) ;
-     factOut(kFatal,301, str ) ;
-     gi_maxProc=1;
-  }
-
+   gi_maxSize = g_maxSize;
+   if (gi_maxSize <= 0)
+      gi_maxSize = 1;
+
+   gi_maxProc = g_maxProc;
+   if (gi_maxProc <= 0 || gi_maxProc > 90) {
+      snprintf (str, MXSTR, "illegal number of processes %d", gi_maxProc);
+      factOut (kFatal, 301, str);
+      gi_maxProc = 1;
+   }
 //partially initialize event control logics
-  evtCtrl.frstPtr = 0 ;
-  evtCtrl.lastPtr = 0 ;
+   evtCtrl.frstPtr = 0;
+   evtCtrl.lastPtr = 0;
 
 //start all threads (more to come) when we are allowed to ....
-  while (g_runStat == 0 ) {
-     xwait.tv_sec = 0;
-     xwait.tv_nsec= 10000000 ;  // sleep for ~10 msec
-     nanosleep( &xwait , NULL ) ;
-  }
-
-  i=0 ;
-  th_ret[i] = pthread_create( &thread[i], NULL, readFAD,  NULL );
-  i++;
-  th_ret[i] = pthread_create( &thread[i], NULL, procEvt,  NULL );
-  i++;
-  th_ret[i] = pthread_create( &thread[i], NULL, writeEvt, NULL );
-  i++;
-  imax=i ;
+   while (g_runStat == 0) {
+      xwait.tv_sec = 0;
+      xwait.tv_nsec = 10000000; // sleep for ~10 msec
+      nanosleep (&xwait, NULL);
+   }
+
+   i = 0;
+   th_ret[i] = pthread_create (&thread[i], NULL, readFAD, NULL);
+   i++;
+   th_ret[i] = pthread_create (&thread[i], NULL, procEvt, NULL);
+   i++;
+   th_ret[i] = pthread_create (&thread[i], NULL, writeEvt, NULL);
+   i++;
+   imax = i;
 
 
 #ifdef BILAND
-         xwait.tv_sec = 30;;
-         xwait.tv_nsec= 0 ;  // sleep for ~20sec
-         nanosleep( &xwait , NULL ) ;
-
-         printf("close all runs in 2 seconds\n");
-
-         CloseRunFile( 0, time(NULL)+2, 0) ;
-
-         xwait.tv_sec = 1;;
-         xwait.tv_nsec= 0 ;  // sleep for ~20sec
-         nanosleep( &xwait , NULL ) ;
-
-         printf("setting g_runstat to -1\n");
-
-         g_runStat = -1 ;
+   xwait.tv_sec = 30;;
+   xwait.tv_nsec = 0;           // sleep for ~20sec
+   nanosleep (&xwait, NULL);
+
+   printf ("close all runs in 2 seconds\n");
+
+   CloseRunFile (0, time (NULL) + 2, 0);
+
+   xwait.tv_sec = 1;;
+   xwait.tv_nsec = 0;           // sleep for ~20sec
+   nanosleep (&xwait, NULL);
+
+   printf ("setting g_runstat to -1\n");
+
+   g_runStat = -1;
 #endif
 
 
 //wait for all threads to finish
-  for (i=0; i<imax; i++) {
-     j = pthread_join ( thread[i], (void **)&status) ;
-  }
+   for (i = 0; i < imax; i++) {
+      j = pthread_join (thread[i], (void **) &status);
+   }
 
 } /*-----------------------------------------------------------------*/
@@ -1932,8 +2220,10 @@
 #ifdef BILAND
 
-int subProcEvt(int threadID, PEVNT_HEADER *fadhd, EVENT *event, int8_t *buffer) 
-{
-  printf("called subproc %d\n",threadID) ;
-  return threadID+1 ;
+int
+subProcEvt (int threadID, PEVNT_HEADER * fadhd, EVENT * event,
+            int8_t * buffer)
+{
+   printf ("called subproc %d\n", threadID);
+   return threadID + 1;
 }
 
@@ -1947,25 +2237,37 @@
   /*-----------------------------------------------------------------*/
 
-  
-
-
-FileHandle_t  runOpen(uint32_t irun, RUN_HEAD *runhd, size_t len ) 
-{ return 1; } ;
-
-int  runWrite(FileHandle_t fileHd ,  EVENT    *event, size_t len ) 
-{ return 1; usleep(10000); return 1; }
+
+
+
+FileHandle_t
+runOpen (uint32_t irun, RUN_HEAD * runhd, size_t len)
+{
+   return 1;
+};
+
+int
+runWrite (FileHandle_t fileHd, EVENT * event, size_t len)
+{
+   return 1;
+   usleep (10000);
+   return 1;
+}
 
 
 //{ return 1; } ;
 
-int  runClose(FileHandle_t fileHd ,  RUN_TAIL *runth, size_t len ) 
-{ return 1; } ;
-
-
-
-
-int  eventCheck( uint32_t runNr, PEVNT_HEADER *fadhd, EVENT *event) 
-{
-   int i=0;
+int
+runClose (FileHandle_t fileHd, RUN_TAIL * runth, size_t len)
+{
+   return 1;
+};
+
+
+
+
+int
+eventCheck (uint32_t runNr, PEVNT_HEADER * fadhd, EVENT * event)
+{
+   int i = 0;
 
 // printf("------------%d\n",ntohl(fadhd[7].fad_evt_counter) );
@@ -1977,6 +2279,8 @@
 
 
-void factStatNew(EVT_STAT gi) {
-  int i ;
+void
+factStatNew (EVT_STAT gi)
+{
+   int i;
 
 //for (i=0;i<MAX_SOCK;i++) {
@@ -1986,8 +2290,14 @@
 }
 
-void gotNewRun( int runnr, PEVNT_HEADER *headers ) 
-{ printf("got new run %d\n",runnr); return; }
-
-void factStat(GUI_STAT gj) {
+void
+gotNewRun (int runnr, PEVNT_HEADER * headers)
+{
+   printf ("got new run %d\n", runnr);
+   return;
+}
+
+void
+factStat (GUI_STAT gj)
+{
 //  printf("stat: bfr%5lu skp%4lu free%4lu (tot%7lu) mem%12lu rd%12lu %3lu\n",
 //    array[0],array[1],array[2],array[3],array[4],array[5],array[6]);
@@ -1995,5 +2305,8 @@
 
 
-void debugRead(int isock, int ibyte, int32_t event, int32_t ftmevt, int32_t runnr, int state, uint32_t tsec, uint32_t tusec ) {
+void
+debugRead (int isock, int ibyte, int32_t event, int32_t ftmevt, int32_t runnr,
+           int state, uint32_t tsec, uint32_t tusec)
+{
 //  printf("%3d %5d %9d %3d %12d\n",isock, ibyte, event, state, tusec) ;
 }
@@ -2001,44 +2314,52 @@
 
 
-void debugStream(int isock, void *buf, int len) {
+void
+debugStream (int isock, void *buf, int len)
+{
 }
 
-void debugHead(int i, int j, void *buf) { 
+void
+debugHead (int i, int j, void *buf)
+{
 }
 
 
-void factOut(int severity, int err, char* message ) {
-static FILE * fd ;
-static int  file=0 ;
-
-  if (file==0) {
-     printf("open file\n");
-     fd=fopen("x.out","w+") ;
-     file=999; 
-  }
-
-  fprintf(fd,"%3d %3d | %s \n",severity,err,message) ;
-
-  if (severity != kDebug) 
-  printf("%3d %3d | %s\n",severity,err,message) ;
+void
+factOut (int severity, int err, char *message)
+{
+   static FILE *fd;
+   static int file = 0;
+
+   if (file == 0) {
+      printf ("open file\n");
+      fd = fopen ("x.out", "w+");
+      file = 999;
+   }
+
+   fprintf (fd, "%3d %3d | %s \n", severity, err, message);
+
+   if (severity != kDebug)
+      printf ("%3d %3d | %s\n", severity, err, message);
 }
 
 
 
-int main() {
-  int i,b,c,p ;
-  char     ipStr[100] ;
-  struct in_addr IPaddr ;
-
-  g_maxMem = 1024*1024    ;        //MBytes
+int
+main ()
+{
+   int i, b, c, p;
+   char ipStr[100];
+   struct in_addr IPaddr;
+
+   g_maxMem = 1024 * 1024;      //MBytes
 //g_maxMem = g_maxMem * 1024 *10 ; //10GBytes
-  g_maxMem = g_maxMem *  200;      //100MBytes
-
-  g_maxProc = 20  ;
-  g_maxSize = 30000  ;
-
-  g_runStat = 40 ;
-
-  i=0 ;
+   g_maxMem = g_maxMem * 200;   //100MBytes
+
+   g_maxProc = 20;
+   g_maxSize = 30000;
+
+   g_runStat = 40;
+
+   i = 0;
 
 // version for standard crates
@@ -2058,23 +2379,25 @@
 //
 //version for PC-test * 
-  for (c=0; c<4; c++) {
-     for (b=0; b<10; b++) {
-        sprintf(ipStr,"10.0.%d.11",128+c) ;
-      if (c<2) sprintf(ipStr,"10.0.%d.11",128) ;
-      else     sprintf(ipStr,"10.0.%d.11",131) ;
+   for (c = 0; c < 4; c++) {
+      for (b = 0; b < 10; b++) {
+         sprintf (ipStr, "10.0.%d.11", 128 + c);
+         if (c < 2)
+            sprintf (ipStr, "10.0.%d.11", 128);
+         else
+            sprintf (ipStr, "10.0.%d.11", 131);
 //      if (c==0) sprintf(ipStr,"10.0.100.11") ;
 
-        inet_pton(PF_INET, ipStr, &IPaddr) ;
-        p = 31919+100*c+10*b; 
-
-
-        g_port[i].sockAddr.sin_family = PF_INET;
-        g_port[i].sockAddr.sin_port = htons(p) ;
-        g_port[i].sockAddr.sin_addr = IPaddr ;
-        g_port[i].sockDef = 1 ;
-
-        i++ ;
-     }
-  }
+         inet_pton (PF_INET, ipStr, &IPaddr);
+         p = 31919 + 100 * c + 10 * b;
+
+
+         g_port[i].sockAddr.sin_family = PF_INET;
+         g_port[i].sockAddr.sin_port = htons (p);
+         g_port[i].sockAddr.sin_addr = IPaddr;
+         g_port[i].sockDef = 1;
+
+         i++;
+      }
+   }
 
 
@@ -2082,7 +2405,7 @@
 //g_actBoards-- ; 
 
-  StartEvtBuild() ;
-
-  return 0;
+   StartEvtBuild ();
+
+   return 0;
 
 }
Index: trunk/FACT++/src/FAD.h
===================================================================
--- trunk/FACT++/src/FAD.h	(revision 11763)
+++ trunk/FACT++/src/FAD.h	(revision 11766)
@@ -192,8 +192,10 @@
   uint32_t maxEvt ;      //maximum number of events to write
   uint32_t actEvt ;      //actual number of events written so far
+  uint32_t procEvt ;     //actual number of events processed so far
    int32_t lastEvt ;     //last event of this run read so far
   uint32_t nextEvt ;     //next event number to be written
   uint32_t waitEvt ;     //event that would be ready to be written
-   int32_t fileId  ;     //<0 never opened, 0=open, >0 closed
+   int16_t fileId  ;     //<0 never opened, 0=open, >0 closed
+   int16_t procId  ;     //processing <0 never opened, 0=open, >0 closed
    int16_t roi0 ;        //roi for normal pixels
    int16_t roi8 ;        //roi for pixels8
